Subject: RE: [Megaco] Action Processing:priority or sequence?

From: Raphael Tryster <[email-masked]>
Date: Tue, 11 Feb 2003 11:12:50 +0200

Hello Tom and list,

The example you have given refers to Priority handling within the actions of
a single transaction.  Am I correct that the scope of Priority applies not
just to that transaction, but to the lifetime of the context?

For example, I am thinking about an MG consisting of multiple hardware
entities, so that events and signals have to traverse one or more
communications interfaces between the subscriber and that part of the MG
that talks to the MGC.  Suppose several events or signals are communicated
in the same buffer.  Would it be reasonable to expect the recipient to
examine buffer contents and process those terminations whose contexts are
higher priority first?

I am puzzled by the following sentence:

"The MGC can also use the priority to control autonomously the traffic
precedence in the MG in a smooth way in certain situations (e.g. restart),
when a lot of contexts must be handled simultaneously".

But contexts don't exist on restart, do they?

Raphael Tryster

	-----Original Message-----
	From:	Tom-PT Taylor [SMTP:[email-masked]]
	Sent:	Friday, 13 December, 2002 8:06 PM
	To:	'mukta vasudeva'; [email-masked]
	Subject:	RE: [Megaco] Action Processing:priority or sequence?

	The transaction processing rules defined for the protocol take
precedence
	over context Priority.  Really, the handling of Priority is very
	implementation specific.  As an example, suppose the implementation
does
	some sort of look-ahead after it parses the transaction.  An earlier
Action
	has something like ReserveGroup or ReserveValue and asks for a bunch
of
	resources to be reserved.  The implementation looks ahead to the
later,
	higher priority Action and makes sure it saves some resources for
that one.

	-----Original Message-----
	From: mukta vasudeva [mailto:[email-masked]] 
	Sent: Friday, December 13, 2002 7:44 AM
	To: [email-masked]
	Subject: [Megaco] Action Processing:priority or sequence?

	Hi All,
	According to the RFC-3015, "The priority is used for a Context in
order to
	provide the MG with information about a certain precedence handling
for a
	Context. The MGC can also use the priority to control autonomously
the
	traffic precedence in the MG in a smooth way in certain situations
(e.g.
	restart), when a lot of Contexts must be handled simultaneously.
Priority 0
	is the lowest priority and a priority of 15 is the highest priority.
"
	Q1. "Commands within a Transaction are executed sequentially" But if
Actions
	with different Priorities assigned to them are processed according
to the
	priorites-not sequence- then the "sequential execution of commands
withn
	transactions " would not be ensured.So how should we access actions
with
	different priorities?
	Q2. Are the priorities valid on Per Transaction basis or are they
retained
	for the entire life of the call unless replaced ?
	regards,
	Mukta
	 Catch all the cricket action. Download Yahoo! Score tracker
	_______________________________________________
	Megaco mailing list
	[email-masked]
	https://www1.ietf.org/mailman/listinfo/megaco

---

From: Christian Groves <[email-masked]>
Date: Wed, 12 Feb 2003 11:36:05 +1100

Hello Raphael,

As you have indicated the priority exists for the life time that the property is
set on the context. With regards to your question on contexts existing at
restart- if the whole MG goes out of service and comes back I agree with you. If
the MG partially restarts then the MG can give processing priority to existing
priority marked contexts.

Christian

Raphael Tryster wrote:
> 
> Hello Tom and list,
> 
> The example you have given refers to Priority handling within the actions of a
> single transaction.  Am I correct that the scope of Priority applies not just
> to that transaction, but to the lifetime of the context?
> 
> communications interfaces between the subscriber and that part of the MG that
> talks to the MGC.  Suppose several events or signals are communicated in the
> same buffer.  Would it be reasonable to expect the recipient to examine buffer
> contents and process those terminations whose contexts are higher priority
> first?
> 
>      The transaction processing rules defined for the protocol take precedence
> 
>      implementation specific.  As an example, suppose the implementation does
>      has something like ReserveGroup or ReserveValue and asks for a bunch of
>      resources to be reserved.  The implementation looks ahead to the later,
>      higher priority Action and makes sure it saves some resources for that
>      one.
> 
>      According to the RFC-3015, "The priority is used for a Context in order
>      to
>      provide the MG with information about a certain precedence handling for a
> 
>      Context. The MGC can also use the priority to control autonomously the
>      traffic precedence in the MG in a smooth way in certain situations (e.g.
>      restart), when a lot of Contexts must be handled simultaneously. Priority
>      0
>      is the lowest priority and a priority of 15 is the highest priority. "
>      with different Priorities assigned to them are processed according to the
> 
>      priorites-not sequence- then the "sequential execution of commands withn
>      transactions " would not be ensured.So how should we access actions with
>      different priorities?

---

From: Christian Groves <[email-masked]>
Date: Wed, 12 Feb 2003 11:36:05 +1100

Hello Raphael,

Christian